# Class SamHeaderRecord

java.lang.Object
org.snpeff.sam.SamHeaderRecord

Direct Known Subclasses:
  `SamHeaderRecordSq`

public abstract class SamHeaderRecord extends Object
Sam header record

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SamHeaderRecord(String line, String recordTypeCode)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRecordTypeCode()`
`protected void`
`init()`
Initialize records before parsing
`void`
`parse(String line)`
Parse a line for this record type
`protected abstract void`
`parseField(String tag, String value)`
Parse a field for this record

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SamHeaderRecord

public SamHeaderRecord(String line, String recordTypeCode)

## Method Details

### getRecordTypeCode

public String getRecordTypeCode()

### init

protected void init()
Initialize records before parsing

### parse

public void parse(String line)
Parse a line for this record type

Parameters:
  `line` -
  `recordTypeCode` -

### parseField

protected abstract void parseField(String tag, String value)
Parse a field for this record

Parameters:
  `tag` -
  `value` -